diff mbox

[FFmpeg-devel,1/2] tools/target_dec_fate.sh: Add support for lines that are comments

Message ID 20190221221738.16224-1-michael@niedermayer.cc
State Accepted
Commit b7140a4db574d9669d955aba5283f2a5c7ec23f2
Headers show

Commit Message

Michael Niedermayer Feb. 21, 2019, 10:17 p.m. UTC
Signed-off-by: Michael Niedermayer <michael@niedermayer.cc>
---
 tools/target_dec_fate.sh | 5 +++++
 1 file changed, 5 insertions(+)

Comments

Michael Niedermayer March 1, 2019, 1:24 p.m. UTC | #1
On Thu, Feb 21, 2019 at 11:17:37PM +0100, Michael Niedermayer wrote:
> Signed-off-by: Michael Niedermayer <michael@niedermayer.cc>
> ---
>  tools/target_dec_fate.sh | 5 +++++
>  1 file changed, 5 insertions(+)

will apply patchset

[...]
diff mbox

Patch

diff --git a/tools/target_dec_fate.sh b/tools/target_dec_fate.sh
index 1fdfdcaaea..1377b6b4e8 100755
--- a/tools/target_dec_fate.sh
+++ b/tools/target_dec_fate.sh
@@ -50,6 +50,8 @@  while read -r LINE; do
     FILE=`echo $LINE | sed 's# .*##'`
     if test -f "$1/$FILE" ; then
         echo exists       $FILE
+    elif echo "$ISSUE_NUM" | grep '#' >/dev/null ; then
+        echo disabled     $FILE
     else
         echo downloading  $FILE
         mkdir -p "$1/$ISSUE_NUM"
@@ -72,6 +74,9 @@  make -j4 $TOOLS
 while read -r LINE; do
     TOOL_ID=`echo $LINE | sed 's#[^ ]* ##'`
     FILE=`echo $LINE | sed 's# .*##'`
+    if ! test -f "$1/$FILE" ; then
+        continue
+    fi
     tools/$TOOL_ID $1/$FILE
 done < "tools/$LIST"